Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::InflateSource Class Reference
Ipe Utilities

`#include <ipeutils.h>`

Inherits ipe::DataSource.

## Public Member Functions
| InflateSource (DataSource &source)
virtual | ~InflateSource ()
virtual int | getChar ()
Public Member Functions inherited from ipe::DataSource
virtual | ~DataSource ()=0

## Detailed Description

Filter source adding flate decompression.

## Constructor & Destructor Documentation

InflateSource::InflateSource | ( | DataSource & | source | ) |

References ipe::Buffer::data().

InflateSource::~InflateSource | ( |  | ) |
| virtual

References ipe::Buffer::data(), ipe::DataSource::getChar(), and ipe::Buffer::size().

## Member Function Documentation

int InflateSource::getChar | ( |  | ) |
| virtual

Get one more character, or EOF.

Implements ipe::DataSource.

References ipe::Buffer::data(), ipe::Buffer::size(), ipe::Ipelet::~Ipelet(), and ipe::IpeletHelper::~IpeletHelper().

Referenced by ipe::PdfDict::inflate().

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp